Bug 197553 - testsaslauthd requires cyrus-imapd but the RPM doesn't
testsaslauthd requires cyrus-imapd but the RPM doesn't
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cyrus-sasl (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
http://felipe-alfaro.org/blog/categor...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 21:00 EDT by sj1
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 13:34:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sj1 2006-07-03 21:00:19 EDT
Description of problem:
testsaslauthd apparently assumes cyrus-imapd is installed
yet doesn't complain if it is not, just fails

Version-Release number of selected component (if applicable):


How reproducible:
every time I tried it

Steps to Reproduce:
1. verify cyrus-imapd is not installed, e.g. /etc/pam.d/imap does not exist
2. testsaslauthd -u validuser -p validpassword_for_validuser (will fail)
3. testsaslauthd -s login -u validuser -p validpassword_for_validuser (succeeds)
  
Actual results:
see above

Expected results:
see above

Additional info: after I said "yum install cyrus-imapd" it succeeded
Comment 1 Nalin Dahyabhai 2006-07-05 13:34:59 EDT
As you've noticed, the default service name is "imap", and saslauthd uses the
client-supplied service name when calling into PAM, so if you don't have a
/etc/pam.d/imap file (which you don't unless you have one of either the Cyrus or
UW IMAP servers), saslauthd's attempt at pam_authenticate() is expected to fail
when PAM falls back to the configuration specified in /etc/pam.d/other.

I'm not inclined to change this, as testsaslauthd is a diagnostic tool and it's
a documented behavior.  Closing as wontfix for that reason.
Comment 2 sj1 2006-07-05 19:18:09 EDT
May I ask where the "documented behavior" is documented?
It's kind of fuzzy but I don't recall any manpage for testsaslauthd.
But thank you in any case for your response.  Sorry to bother you.
Comment 3 Nalin Dahyabhai 2006-07-06 11:23:59 EDT
It's in the sysadmin guide (sysadmin.html in the -lib package ATM).  And don't
worry, a reasoned change request doesn't bother me at all.  :)

Note You need to log in before you can comment on or make changes to this bug.